%define name	plasma-applet-eyasdp
%define srcname	146530-eyasdp
%define version	 1.1.0
%define release	%mkrel 2
%define summary	 A  plasmoid to set system buttons in your panel or desktop

Summary:	%summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://kde-look.org/CONTENT/content-files/%srcname-%version.tar.xz
License:	GPL
Group:		Graphical desktop/KDE4
URL:		http://kde-look.org/content/show.php/Eventlist?content=146530
BuildRequires:	kde-workspace-devel
BuildRequires:	kde-pimlibs-devel
BuildRequires:	%{_lib}boost-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
eYaSDP is a plasmoid that allows to set a number of system buttons in your
panel or desktop for comfortable and quick access.
 
[*] Features
- Actions: Shut-down, Reboot, Log-out, Lock screen, Hibernate, Suspend, Switch
  user and Turn-off screen
- Customizable number of buttons
- Contextual menu actions
- Customizable icons
- It scales to fit your panel size

%prep
%setup -q -n eyasdp-%version 

%build
%cmake_kde4
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%find_lang eyasdp

%clean
%__rm -rf %buildroot

%files
%defattr(-,root,root)
%{_libdir}/kde4/plasma_applet_eyasdp.so
%{_datadir}/kde4/services/plasma-applet-eyasdp.desktop
%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_eyasdp.mo

%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde
